require 'spec_helper_acceptance'

describe 'rabbitmq federation upstream:' do
  shell('rabbitmq-plugins enable rabbitmq_shovel')
  case fact('osfamily')
  when 'RedHat'
    service_name = 'rabbitmq-server'
  when 'SUSE'
    service_name = 'rabbitmq-server'
  when 'Debian'
    service_name = 'rabbitmq-server'
  when 'Archlinux'
    service_name = 'rabbitmq'
  end
  shell(service_name + '') #FINISH THIS LINE
  context '' do
    it 'should run successfully' do
      pp = <<-EOS
class { 'rabbitmq':
port => '5672',
delete_guest_user => true,
}
if $::osfamily == 'RedHat' {
class { 'erlang': epel_enable => true}
Class['erlang'] -> Class['rabbitmq']
}
EOS

      apply_manifest(pp, :catch_failures => true)
      shell('rabbitmqctl list_users > /tmp/rabbitmqctl_users')
    end

    describe file('/tmp/rabbitmqctl_users') do
      it { should be_file }
      it { should_not contain 'guest' }
    end
  end
end
